ru.bitel.bgbilling.modules.payonline.common.bean

## Class RebillTransaction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.payonline.common.bean.RebillTransaction

- All Implemented Interfaces:
    java.io.Serializable, Contractable, Idable

      public class RebillTransaction
      extends Id
      implements Contractable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BANK_ERROR` Транзакция отклонена банком-эмитентом.
    `static int` | `FILTER_ERROR` Транзакция отклонена фильтрами PayOnline.
    `static int` | `REBILL_ANCHOR_ERROR` Транзакция отклонена банком-эмитентом.
    `static int` | `TECHNIKAL_ERROR` Возникла техническая ошибка на стороне PayOnline.

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RebillTransaction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `int` | `getContractId()` Возвращает код договора к которому привязан объект.
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDate()`
    `static java.lang.String` | `getError(int code)` Возвращает описание ошибки по ее коду.
    `int` | `getErrorCode()`
    `java.lang.String` | `getResult()`
    `java.lang.String` | `getStatus()`
    `long` | `getTransactionId()`
    `void` | `setCode(int code)`
    `void` | `setContractId(int contractId)` Устанавливает код договора к которому привязан объект.
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setErrorCode(int errorCode)`
    `void` | `setResult(java.lang.String result)`
    `void` | `setStatus(java.lang.String status)`
    `void` | `setTransactionId(long transactionId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TECHNIKAL_ERROR

          public static final int TECHNIKAL_ERROR

      Возникла техническая ошибка на стороне PayOnline.
      See Also:
        Constant Field Values

    - #### FILTER_ERROR

          public static final int FILTER_ERROR

      Транзакция отклонена фильтрами PayOnline.
      See Also:
        Constant Field Values

    - #### BANK_ERROR

          public static final int BANK_ERROR

      Транзакция отклонена банком-эмитентом.
      See Also:
        Constant Field Values

    - #### REBILL_ANCHOR_ERROR

          public static final int REBILL_ANCHOR_ERROR

      Транзакция отклонена банком-эмитентом. Следует прекратить дальнейшие операции Rebill с данным RebillAnchor.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RebillTransaction

          public RebillTransaction()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

      Description copied from interface: `Contractable`
      Возвращает код договора к которому привязан объект.
      Specified by:
        `getContractId` in interface `Contractable`
      Returns:
        код договора

    - #### setContractId

          public void setContractId(int contractId)

      Description copied from interface: `Contractable`
      Устанавливает код договора к которому привязан объект.
      Specified by:
        `setContractId` in interface `Contractable`
      Parameters:
        `contractId` - код договора

    - #### getResult

          public java.lang.String getResult()

    - #### setResult

          public void setResult(java.lang.String result)

    - #### getCode

          public int getCode()

    - #### setCode

          public void setCode(int code)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String status)

    - #### getErrorCode

          public int getErrorCode()

    - #### setErrorCode

          public void setErrorCode(int errorCode)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getTransactionId

          public long getTransactionId()

    - #### setTransactionId

          public void setTransactionId(long transactionId)

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### getError

          public static java.lang.String getError(int code)

      Возвращает описание ошибки по ее коду.
      Parameters:
        `code` - - код ошибки
      Returns:
        описание ошибки